<?php
require_once "connect.php";
require_once "inc/messages.php";
require_once 'inc/usuario.php';

error_reporting(E_ALL ^ E_NOTICE);

checkLogin('login.php');

$id = 0;
$id_usuario = 1;

$produto_fantasma = $_POST['produto_fantasma'];

if(isset($_GET['id_reativar'])){
    $id_reativar = base64_decode($_GET['id_reativar']);
    reativar_produto($id_reativar);
    header("Location:erpc_produtos_filter.php");
    exit;
}

/*
echo "<pre>";
print_r($produto_fantasma);
echo "</pre>";
*/
// $pedidos_venda = pedidos_venda_create();
// $produto_fantasma = array_replace_recursive($pedidos_venda, $_POST['produto_fantasma']);

if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
}


// dados do post
if(isset($_POST['id'])){
    $id 			= $_POST['id'];
}

  if(isset($_POST['editar']) or isset($_POST['adicionar'])){

      $cd_produto  = trim($_POST['cd_produto']);
    
      $ds_ean  = trim($_POST['ds_ean']);
      $ds_codigo_barras= trim($_POST['ds_codigo_barras']);
    
      $ds_ean  = trim($_POST['ds_ean']);
      $ds_codigo_barras= trim($_POST['ds_codigo_barras']);
    
      $ds_produto = trim($_POST['ds_produto']);
      $ds_auxiliar = trim($_POST['ds_auxiliar']);
      $id_tipo_produto = trim($_POST['id_tipo_produto']);
      $id_unidade_medida = trim($_POST['id_unidade_medida']);
      $nr_fator_conversao = trim($_POST['nr_fator_conversao']);
      $id_tipo_conversao = trim($_POST['id_tipo_conversao']);
      $id_seg_unidade_medida = trim($_POST['id_seg_unidade_medida']);
      $id_controle_qualidade = trim($_POST['id_controle_qualidade']);
      $id_local_estoque = trim($_POST['id_local_estoque']);
      $id_grupo_produto = trim($_POST['id_grupo_produto']);
    
      $id_voltagem_produto = trim($_POST['id_voltagem_produto']);
      $ds_tamanho = trim($_POST['ds_tamanho']);
      $ds_cor = trim($_POST['ds_cor']);
    
      $ds_letra_ncm = trim($_POST['ds_letra_ncm']);
      $ds_ncm = trim($_POST['ds_ncm']);
      $ds_cest = trim($_POST['ds_cest']);
    
      $id_tipo_entrada_padrao= trim($_POST['id_tipo_entrada_padrao']);
      $id_tipo_saida_padrao   = trim($_POST['id_tipo_saida_padrao']);
      $id_planofin_entrada = trim($_POST['id_planofin_entrada']);
      $id_planofin_saida = trim($_POST['id_planofin_saida']);
    
      $st_acao_ativo = trim($_POST['st_acao_ativo']);
      $ds_codigo_servico_iss = trim($_POST['ds_codigo_servico_iss']);
      $tp_rastro = trim($_POST['tp_rastro']);
      $vl_preco_venda = trim($_POST['vl_preco_venda']);
      $vl_custo_stand = trim($_POST['vl_custo_stand']);
      $nr_peso_liquido = trim($_POST['nr_peso_liquido']);
      $nr_largura = trim($_POST['nr_largura']);
      $nr_altura = trim($_POST['nr_altura']);
      $nr_comprimento = trim($_POST['nr_comprimento']);
      $id_fornecedor_padrao = trim($_POST['id_fornecedor_padrao']);
      $fl_controla_localizacao = trim($_POST['fl_controla_localizacao']);
      $qt_ponto_pedido = trim($_POST['qt_ponto_pedido']);
      $nr_prazo_entrega = trim($_POST['nr_prazo_entrega']);
      $id_tipo_prazo_entrega = trim($_POST['id_tipo_prazo_entrega']);
      $qt_lote_economico = trim($_POST['qt_lote_economico']);
      $qt_lote_minimo = trim($_POST['qt_lote_minimo']);
      $nr_perc_aliq_icms = trim($_POST['nr_perc_aliq_icms']);
      $nr_perc_aliq_ipi = trim($_POST['nr_perc_aliq_ipi']);
      
      $nr_perc_fcp = trim($_POST['nr_perc_fcp']);
    
      if($nr_perc_fcp==''){
        $nr_perc_fcp='0';
      }
      
      $id_grupo_tributacao = trim($_POST['id_grupo_tributacao']);
      $id_origem_produto = trim($_POST['id_origem_produto']);
      $ds_pos_ipi_ncm = trim($_POST['ds_pos_ipi_ncm']);
      $ds_especie_tipi = trim($_POST['ds_especie_tipi']);
      $ds_ex_ncm = trim($_POST['ds_ex_ncm']);
      $ds_ex_nbm = trim($_POST['ds_ex_nbm']);
      $nr_perc_iss = trim($_POST['nr_perc_iss']);
      $ds_solidario_saida = trim($_POST['ds_solidario_saida']);
      $ds_solidario_entrada = trim($_POST['ds_solidario_entrada']);
      $nr_imposto_zfranca = trim($_POST['nr_imposto_zfranca']);
      $ds_origem = trim($_POST['ds_origem']);
      $ds_classificacao_fiscal = trim($_POST['ds_classificacao_fiscal']);
      $ds_imposto_renda = trim($_POST['ds_imposto_renda']);
      $fl_calcula_inss = trim($_POST['fl_calcula_inss']);
      $nr_perc_red_inss = trim($_POST['nr_perc_red_inss']);
      $vl_ipi_pauta = trim($_POST['vl_ipi_pauta']);
      $nr_perc_red_pis = trim($_POST['nr_perc_red_pis']);
      $nr_perc_red_cofins = trim($_POST['nr_perc_red_cofins']);
      $nr_perc_csll = trim($_POST['nr_perc_csll']);
      $nr_perc_cofins = trim($_POST['nr_perc_cofins']);
      $nr_perc_pis = trim($_POST['nr_perc_pis']);
      $nr_perc_icms_prop = trim($_POST['nr_perc_icms_prop']);
      $vl_icms_pauta = trim($_POST['vl_icms_pauta']);
      $ds_classe_selo  = trim($_POST['ds_classe_selo']);
      $ds_pis_pauta = trim($_POST['ds_pis_pauta']);
      $fl_retem_pis = trim($_POST['fl_retem_pis']);
      $ds_regra_iss_pg = trim($_POST['ds_regra_iss_pg']);
      $fl_retem_csll = trim($_POST['fl_retem_csll']);
      $fl_retem_cof = trim($_POST['fl_retem_cof']);
      $ds_cnae = trim($_POST['ds_cnae']);
      $ds_cod_tributacao_municipal = trim($_POST['ds_cod_tributacao_municipal']);
      $id_categoria = trim($_POST['id_categoria']);
      $st_ativo		= 1;
     
      // itens do produto fantasma
      $produto_fantasma = $_POST['produto_fantasma'];
      
      //GLP
      $cd_produto_anp = isset($_POST['cd_produto_anp'])  ?$_POST['cd_produto_anp']:'';
      $ds_produto_anp = isset($_POST['ds_produto_anp'])  ?$_POST['ds_produto_anp']:'';
      $nr_perc_derivado_glp=isset($_POST['nr_perc_derivado_glp'])?number_format($_POST['nr_perc_derivado_glp'],2,'.',''):'0.00';
      $nr_perc_derivado_gnn=isset($_POST['nr_perc_derivado_gnn'])?number_format($_POST['nr_perc_derivado_gnn'],2,'.',''):'0.00';
      $nr_perc_derivado_gni=isset($_POST['nr_perc_derivado_gni'])?number_format($_POST['nr_perc_derivado_gni'],2,'.',''):'0.00';
      
      //Aba Miscelanea
      $ds_texto1 = trim($_POST['ds_texto1']);
      $ds_texto2 = trim($_POST['ds_texto2']);
      $ds_texto3 = trim($_POST['ds_texto3']);
      $ds_texto4 = trim($_POST['ds_texto4']);
      $ds_texto5 = trim($_POST['ds_texto5']);
      $ds_texto6 = trim($_POST['ds_texto6']);
      $ds_texto7 = trim($_POST['ds_texto7']);
      $ds_texto8 = trim($_POST['ds_texto8']);
      $ds_texto9 = trim($_POST['ds_texto9']);
      $ds_texto10 = trim($_POST['ds_texto10']);
      
      $ds_data1 = trim($_POST['ds_data1']);
      $ds_data2 = trim($_POST['ds_data2']);
      $ds_data3 = trim($_POST['ds_data3']);
      $ds_data4 = trim($_POST['ds_data4']);
      $ds_data5 = trim($_POST['ds_data5']);
      $ds_data6 = trim($_POST['ds_data6']);
      $ds_data7 = trim($_POST['ds_data7']);
      $ds_data8 = trim($_POST['ds_data8']);
      $ds_data9 = trim($_POST['ds_data9']);
      $ds_data10 = trim($_POST['ds_data10']);

      if(!empty($ds_data1)){
          $data = str_replace("/", "-", $ds_data1);
          $ds_data1 =  date('Y-m-d', strtotime($data));
      }
      if(!empty($ds_data2)){
          $data = str_replace("/", "-", $ds_data2);
          $ds_data2 =  date('Y-m-d', strtotime($data));
      }
      if(!empty($ds_data3)){
          $data = str_replace("/", "-", $ds_data3);
          $ds_data3 =  date('Y-m-d', strtotime($data));
      }
      if(!empty($ds_data4)){
          $data = str_replace("/", "-", $ds_data4);
          $ds_data4 =  date('Y-m-d', strtotime($data));
      }
      if(!empty($ds_data5)){
          $data = str_replace("/", "-", $ds_data5);
          $ds_data5 =  date('Y-m-d', strtotime($data));
      }
      if(!empty($ds_data6)){
          $data = str_replace("/", "-", $ds_data6);
          $ds_data6 =  date('Y-m-d', strtotime($data));
      }
      if(!empty($ds_data7)){
          $data = str_replace("/", "-", $ds_data7);
          $ds_data7 =  date('Y-m-d', strtotime($data));
      }
      if(!empty($ds_data8)){
          $data = str_replace("/", "-", $ds_data8);
          $ds_data8 =  date('Y-m-d', strtotime($data));
      }
      if(!empty($ds_data9)){
          $data = str_replace("/", "-", $ds_data9);
          $ds_data9 =  date('Y-m-d', strtotime($data));
      }
      if(!empty($ds_data10)){
          $data = str_replace("/", "-", $ds_data10);
          $ds_data10 =  date('Y-m-d', strtotime($data));
      }
      
      $ds_valor1 = trim($_POST['ds_valor1']);
      $ds_valor1 = str_replace(".", "", $ds_valor1);
      $ds_valor1 = str_replace(",", ".", $ds_valor1);
      
      $ds_valor2 = trim($_POST['ds_valor2']);
      $ds_valor2 = str_replace(".", "", $ds_valor2);
      $ds_valor2 = str_replace(",", ".", $ds_valor2);
      
      $ds_valor3 = trim($_POST['ds_valor3']);
      $ds_valor3 = str_replace(".", "", $ds_valor3);
      $ds_valor3 = str_replace(",", ".", $ds_valor3);
      
      $ds_valor4 = trim($_POST['ds_valor4']);
      $ds_valor4 = str_replace(".", "", $ds_valor4);
      $ds_valor4 = str_replace(",", ".", $ds_valor4);
      
      $ds_valor5 = trim($_POST['ds_valor5']);
      $ds_valor5 = str_replace(".", "", $ds_valor5);
      $ds_valor5 = str_replace(",", ".", $ds_valor5);
      
      $ds_valor6 = trim($_POST['ds_valor6']);
      $ds_valor6 = str_replace(".", "", $ds_valor6);
      $ds_valor6 = str_replace(",", ".", $ds_valor6);
      
      $ds_valor7 = trim($_POST['ds_valor7']);
      $ds_valor7 = str_replace(".", "", $ds_valor7);
      $ds_valor7 = str_replace(",", ".", $ds_valor7);
      
      $ds_valor8 = trim($_POST['ds_valor8']);
      $ds_valor8 = str_replace(".", "", $ds_valor8);
      $ds_valor8 = str_replace(",", ".", $ds_valor8);
      
      $ds_valor9 = trim($_POST['ds_valor9']);
      $ds_valor9 = str_replace(".", "", $ds_valor9);
      $ds_valor9 = str_replace(",", ".", $ds_valor9);
      
      $ds_valor10 = trim($_POST['ds_valor10']);
      $ds_valor10 = str_replace(".", "", $ds_valor10);
      $ds_valor10 = str_replace(",", ".", $ds_valor10);
      
      /*
      $ds_valor2 = trim($_POST['ds_valor2']);
      $ds_valor3 = trim($_POST['ds_valor3']);
      $ds_valor4 = trim($_POST['ds_valor4']);
      $ds_valor5 = trim($_POST['ds_valor5']);
      $ds_valor6 = trim($_POST['ds_valor6']);
      $ds_valor7 = trim($_POST['ds_valor7']);
      $ds_valor8 = trim($_POST['ds_valor8']);
      $ds_valor9 = trim($_POST['ds_valor9']);
      $ds_valor10 = trim($_POST['ds_valor10']);
      */
  }

/* limpa campos antes da execução
$nr_cpf = preg_replace("/[^0-9]/", "", $nr_cpf);
$nr_cep = preg_replace("/[^0-9]/", "", $nr_cep);
$nr_residencia = preg_replace("/[^0-9]/", "", $nr_residencia);

IF($nr_residencia==""){$nr_residencia="null";}
*/
// monta sql com os campos
if(isset($_POST['editar'])) {
  $sql = "update erpc_produtos set cd_produto='$cd_produto'
,id_categoria='$id_categoria'
,ds_produto='$ds_produto'
,ds_ean='$ds_ean'
,ds_codigo_barras='$ds_codigo_barras'
,ds_auxiliar='$ds_auxiliar'
,id_tipo_produto='$id_tipo_produto'
,id_unidade_medida='$id_unidade_medida'
,nr_fator_conversao='$nr_fator_conversao'
,id_tipo_conversao='$id_tipo_conversao'
,id_seg_unidade_medida='$id_seg_unidade_medida'
,id_controle_qualidade='$id_controle_qualidade'
,id_local_estoque='$id_local_estoque'
,id_grupo_produto='$id_grupo_produto'
,id_voltagem_produto='$id_voltagem_produto'
,ds_tamanho='$ds_tamanho'
,ds_cor='$ds_cor'
,ds_letra_ncm='$ds_letra_ncm'
,ds_ncm='$ds_ncm'
,ds_cest='$ds_cest'
,id_tipo_entrada_padrao='$id_tipo_entrada_padrao'
,id_tipo_saida_padrao='$id_tipo_saida_padrao'
,id_planofin_entrada='$id_planofin_entrada'
,id_planofin_saida='$id_planofin_saida'
,st_acao_ativo='$st_acao_ativo'
,ds_codigo_servico_iss='$ds_codigo_servico_iss'
,tp_rastro='$tp_rastro'
,vl_preco_venda='$vl_preco_venda'
,vl_custo_stand='$vl_custo_stand'
,nr_peso_liquido='$nr_peso_liquido'
,nr_largura='$nr_largura'
,nr_altura='$nr_altura'
,nr_comprimento='$nr_comprimento'
,id_fornecedor_padrao='$id_fornecedor_padrao'
,fl_controla_localizacao='$fl_controla_localizacao'
,qt_ponto_pedido='$qt_ponto_pedido'
,nr_prazo_entrega='$nr_prazo_entrega'
,id_tipo_prazo_entrega='$id_tipo_prazo_entrega'
,qt_lote_economico='$qt_lote_economico'
,qt_lote_minimo='$qt_lote_minimo'
,nr_perc_aliq_icms='$nr_perc_aliq_icms'
,nr_perc_aliq_ipi='$nr_perc_aliq_ipi'
,nr_perc_fcp='$nr_perc_fcp'
,id_grupo_tributacao='$id_grupo_tributacao'
,id_origem_produto='$id_origem_produto'
,ds_pos_ipi_ncm='$ds_pos_ipi_ncm'
,ds_especie_tipi='$ds_especie_tipi'
,ds_ex_ncm='$ds_ex_ncm'
,ds_ex_nbm='$ds_ex_nbm'
,nr_perc_iss='$nr_perc_iss'
,ds_solidario_saida='$ds_solidario_saida'
,ds_solidario_entrada='$ds_solidario_entrada'
,nr_imposto_zfranca='$nr_imposto_zfranca'
,ds_origem='$ds_origem'
,ds_classificacao_fiscal='$ds_classificacao_fiscal'
,ds_imposto_renda='$ds_imposto_renda'
,fl_calcula_inss='$fl_calcula_inss'
,nr_perc_red_inss='$nr_perc_red_inss'
,vl_ipi_pauta='$vl_ipi_pauta'
,nr_perc_red_pis='$nr_perc_red_pis'
,nr_perc_red_cofins='$nr_perc_red_cofins'
,nr_perc_csll='$nr_perc_csll'
,nr_perc_cofins='$nr_perc_cofins'
,nr_perc_pis='$nr_perc_pis'
,nr_perc_icms_prop='$nr_perc_icms_prop'
,vl_icms_pauta='$vl_icms_pauta'
,ds_classe_selo='$ds_classe_selo'
,ds_pis_pauta='$ds_pis_pauta'
,fl_retem_pis='$fl_retem_pis'
,ds_regra_iss_pg='$ds_regra_iss_pg'
,fl_retem_csll='$fl_retem_csll'
,fl_retem_cof='$fl_retem_cof'
,ds_cnae='$ds_cnae'
,ds_cod_tributacao_municipal='$ds_cod_tributacao_municipal'
,cd_produto_anp = '$cd_produto_anp'
,ds_produto_anp = '$ds_produto_anp'
,nr_perc_derivado_glp='$nr_perc_derivado_glp'
,nr_perc_derivado_gnn='$nr_perc_derivado_gnn'
,nr_perc_derivado_gni='$nr_perc_derivado_gni'
,ds_texto1 = '$ds_texto1'
,ds_texto2 = '$ds_texto2'
,ds_texto3 = '$ds_texto3'
,ds_texto4 = '$ds_texto4'
,ds_texto5 = '$ds_texto5'
,ds_texto6 = '$ds_texto6'
,ds_texto7 = '$ds_texto7'
,ds_texto8 = '$ds_texto8'
,ds_texto9 = '$ds_texto9'
,ds_texto10 = '$ds_texto10'
,ds_data1 = '$ds_data1'
,ds_data2 = '$ds_data2'
,ds_data3 = '$ds_data3'
,ds_data4 = '$ds_data4'
,ds_data5 = '$ds_data5'
,ds_data6 = '$ds_data6'
,ds_data7 = '$ds_data7'
,ds_data8 = '$ds_data8'
,ds_data9 = '$ds_data9'
,ds_data10 = '$ds_data10'
,ds_valor1 = '$ds_valor1'
,ds_valor2 = '$ds_valor2'
,ds_valor3 = '$ds_valor3'
,ds_valor4 = '$ds_valor4'
,ds_valor5 = '$ds_valor5'
,ds_valor6 = '$ds_valor6'
,ds_valor7 = '$ds_valor7'
,ds_valor8 = '$ds_valor8'
,ds_valor9 = '$ds_valor9'
,ds_valor10 = '$ds_valor10'
,dh_alteracao=now()";
  $sql .= " where id = $id";
}else
	if(isset($_POST['excluir'])) {
		$sql  = "update erpc_produtos set st_ativo = 0, id_usuario = $id_usuario, dh_alteracao=now()";
		$sql .= " where id = $id";
 }else
	if(isset($_POST['adicionar'])) {
		$sql = "insert into erpc_produtos(
     cd_produto
    ,id_categoria
    ,ds_ean
    ,ds_codigo_barras
    ,ds_produto
    ,ds_auxiliar
    ,id_tipo_produto
    ,id_unidade_medida
    ,nr_fator_conversao
    ,id_tipo_conversao
    ,id_seg_unidade_medida
    ,id_controle_qualidade
    ,id_local_estoque
    ,id_grupo_produto
    ,id_voltagem_produto
    ,ds_tamanho
    ,ds_cor
    ,ds_letra_ncm
    ,ds_ncm
    ,ds_cest
    ,id_tipo_entrada_padrao
    ,id_tipo_saida_padrao
    ,id_planofin_entrada
    ,id_planofin_saida
    ,st_acao_ativo
    ,ds_codigo_servico_iss
    ,tp_rastro
    ,vl_preco_venda
    ,vl_custo_stand
    ,nr_peso_liquido
    ,nr_largura
    ,nr_altura
    ,nr_comprimento
    ,id_fornecedor_padrao
    ,fl_controla_localizacao
    ,qt_ponto_pedido
    ,nr_prazo_entrega
    ,id_tipo_prazo_entrega
    ,qt_lote_economico
    ,qt_lote_minimo
    ,nr_perc_aliq_icms
    ,nr_perc_aliq_ipi
    ,nr_perc_fcp
    ,id_grupo_tributacao
    ,id_origem_produto
    ,ds_pos_ipi_ncm
    ,ds_especie_tipi
    ,ds_ex_ncm
    ,ds_ex_nbm
    ,nr_perc_iss
    ,ds_solidario_saida
    ,ds_solidario_entrada
    ,nr_imposto_zfranca
    ,ds_origem
    ,ds_classificacao_fiscal
    ,ds_imposto_renda
    ,fl_calcula_inss
    ,nr_perc_red_inss
    ,vl_ipi_pauta
    ,nr_perc_red_pis
    ,nr_perc_red_cofins
    ,nr_perc_csll
    ,nr_perc_cofins
    ,nr_perc_pis
    ,nr_perc_icms_prop
    ,vl_icms_pauta
    ,ds_classe_selo
    ,ds_pis_pauta
    ,fl_retem_pis
    ,ds_regra_iss_pg
    ,fl_retem_csll
    ,fl_retem_cof
    ,ds_cnae
    ,ds_cod_tributacao_municipal, st_ativo, id_usuario
    ,ds_texto1
    ,ds_texto2
    ,ds_texto3
    ,ds_texto4
    ,ds_texto5
    ,ds_texto6
    ,ds_texto7
    ,ds_texto8
    ,ds_texto9
    ,ds_texto10
    ,ds_data1
    ,ds_data2
    ,ds_data3
    ,ds_data4
    ,ds_data5
    ,ds_data6
    ,ds_data7
    ,ds_data8
    ,ds_data9
    ,ds_data10
    ,ds_valor1
    ,ds_valor2
    ,ds_valor3
    ,ds_valor4
    ,ds_valor5
    ,ds_valor6
    ,ds_valor7
    ,ds_valor8
    ,ds_valor9
    ,ds_valor10
    ,cd_produto_anp, ds_produto_anp, nr_perc_derivado_glp, nr_perc_derivado_gnn, nr_perc_derivado_gni
    )";

		$sql .="values(
     '$cd_produto'
    ,'$id_categoria'
    ,'$ds_ean'
    ,'$ds_codigo_barras'
    ,'$ds_produto'
    ,'$ds_auxiliar'
    ,'$id_tipo_produto'
    ,'$id_unidade_medida'
    ,'$nr_fator_conversao'
    ,'$id_tipo_conversao'
    ,'$id_seg_unidade_medida'
    ,'$id_controle_qualidade'
    ,'$id_local_estoque'
    ,'$id_grupo_produto'
    ,'$id_voltagem_produto'
    ,'$ds_tamanho'
    ,'$ds_cor'
    ,'$ds_letra_ncm'
    ,'$ds_ncm'
    ,'$ds_cest'
    ,'$id_tipo_entrada_padrao'
    ,'$id_tipo_saida_padrao'
    ,'$id_planofin_entrada'
    ,'$id_planofin_saida'
    ,'$st_acao_ativo'
    ,'$ds_codigo_servico_iss'
    ,'$tp_rastro'
    ,'$vl_preco_venda'
    ,'$vl_custo_stand'
    ,'$nr_peso_liquido'
    ,'$nr_largura'
    ,'$nr_altura'
    ,'$nr_comprimento'
    ,'$id_fornecedor_padrao'
    ,'$fl_controla_localizacao'
    ,'$qt_ponto_pedido'
    ,'$nr_prazo_entrega'
    ,'$id_tipo_prazo_entrega'
    ,'$qt_lote_economico'
    ,'$qt_lote_minimo'
    ,'$nr_perc_aliq_icms'
    ,'$nr_perc_aliq_ipi'
    ,'$nr_perc_fcp'
    ,'$id_grupo_tributacao'
    ,'$id_origem_produto'
    ,'$ds_pos_ipi_ncm'
    ,'$ds_especie_tipi'
    ,'$ds_ex_ncm'
    ,'$ds_ex_nbm'
    ,'$nr_perc_iss'
    ,'$ds_solidario_saida'
    ,'$ds_solidario_entrada'
    ,'$nr_imposto_zfranca'
    ,'$ds_origem'
    ,'$ds_classificacao_fiscal'
    ,'$ds_imposto_renda'
    ,'$fl_calcula_inss'
    ,'$nr_perc_red_inss'
    ,'$vl_ipi_pauta'
    ,'$nr_perc_red_pis'
    ,'$nr_perc_red_cofins'
    ,'$nr_perc_csll'
    ,'$nr_perc_cofins'
    ,'$nr_perc_pis'
    ,'$nr_perc_icms_prop'
    ,'$vl_icms_pauta'
    ,'$ds_classe_selo'
    ,'$ds_pis_pauta'
    ,'$fl_retem_pis'
    ,'$ds_regra_iss_pg'
    ,'$fl_retem_csll'
    ,'$fl_retem_cof'
    ,'$ds_cnae'
    ,'$ds_cod_tributacao_municipal', $st_ativo, $id_usuario
    ,'$ds_texto1'
    ,'$ds_texto2'
    ,'$ds_texto3'
    ,'$ds_texto4'
    ,'$ds_texto5'
    ,'$ds_texto6'
    ,'$ds_texto7'
    ,'$ds_texto8'
    ,'$ds_texto9'
    ,'$ds_texto10'
    ,'$ds_data1'
    ,'$ds_data2'
    ,'$ds_data3'
    ,'$ds_data4'
    ,'$ds_data5'
    ,'$ds_data6'
    ,'$ds_data7'
    ,'$ds_data8'
    ,'$ds_data9'
    ,'$ds_data10'
    ,'$ds_valor1'
    ,'$ds_valor2'
    ,'$ds_valor3'
    ,'$ds_valor4'
    ,'$ds_valor5'
    ,'$ds_valor6'
    ,'$ds_valor7'
    ,'$ds_valor8'
    ,'$ds_valor9'
    ,'$ds_valor10'
    ,'$cd_produto_anp', '$ds_produto_anp', '$nr_perc_derivado_glp', '$nr_perc_derivado_gnn', '$nr_perc_derivado_gni'
    )";
}

// executa a sql principal do produto
if($sql!=""){
    $sql  = str_replace("''","null",$sql);

		$stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
		$ok = mysqli_stmt_execute($stmt);// or die(mysqli_error($conexao));
    echo "<br>Exibindo OK ->" . $ok;

    if($ok!=1){
      $error = mysqli_error($conexao);
      addError("Houve no Produto:" . $error);
      echo "<script type=text/javascript>history.back();</script>";
      exit;
    }

  // executa a sql da estrutura do produto
  if($id==0){
    $id = mysqli_insert_id($conexao);
  }
  // echo "id_produto principal: $id";

  foreach ($produto_fantasma['itens'] as $key => $produto_estrutura) {
    $prod_est_id = sgcws_attr($produto_estrutura['id_produto']);
    $prod_est_qt = sgcws_attr($produto_estrutura['qt_produto']);
    $prod_est_fl = sgcws_attr($produto_estrutura['st_ativo']);

    if($prod_est_fl=="on"){
      $prod_est_fl=1;
    }else{
      $prod_est_fl=0;
    }

    /* echo "<br>executando a inclusao do produto fantasma : $prod_est_id";
    echo "<br>qt=$prod_est_qt";
    echo "<br>fl=$prod_est_fl";
    */

    if($prod_est_id!=''){
      $sql = 'CALL pr_produtos_fantasma_ins_upd( ?, ?, ?, ?, ?);';
      $values = array();

      $values[] = $id;
      $values[] = $prod_est_id;
      $values[] = $prod_est_qt;
      $values[] = $prod_est_fl;
      $values[] = $id_usuario;
      $ok = _prepareAndExecute($sql, $values);

      // echo "OK== $ok";
    }
  }
}

function reativar_produto($id){
    global $conexao;
    $sql = "update erpc_produtos set st_ativo = 1 where id = $id";
    mysqli_query($conexao, $sql) or die($conexao);
}

// echo "executei tudo com sucesso!"; exit;

  header("Location:erpc_produtos_filter.php");
?>
